<html>
<head>
<title>OGRE: Ogre::VertexPoseKeyFrame::PoseRef Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1VertexPoseKeyFrame.html">VertexPoseKeyFrame</a>::<a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html">PoseRef</a></div>
<h1>Ogre::VertexPoseKeyFrame::PoseRef Struct Reference</h1><!-- doxytag: class="Ogre::VertexPoseKeyFrame::PoseRef" -->Reference to a pose at a given influence level.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#a850e724aeef6ca08ac781ecef0c6b6d">PoseRef</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> p, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> i)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#172a06f5c2697f3e20bc2cf8556708ab">poseIndex</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The linked pose index.  <a href="#172a06f5c2697f3e20bc2cf8556708ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#b4c9428aafb3b9e171a0eed21fb7d9ed">influence</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Influence level of the linked pose.  <a href="#b4c9428aafb3b9e171a0eed21fb7d9ed"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Reference to a pose at a given influence level. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Each keyframe can refer to many poses each at a given influence level. </dd></dl>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00189">189</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a850e724aeef6ca08ac781ecef0c6b6d"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRef::PoseRef" ref="a850e724aeef6ca08ac781ecef0c6b6d" args="(ushort p, Real i)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::VertexPoseKeyFrame::PoseRef::PoseRef           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>i</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00204">204</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="172a06f5c2697f3e20bc2cf8556708ab"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRef::poseIndex" ref="172a06f5c2697f3e20bc2cf8556708ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#172a06f5c2697f3e20bc2cf8556708ab">Ogre::VertexPoseKeyFrame::PoseRef::poseIndex</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The linked pose index. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> contains all poses for all vertex data in one list, both for the shared vertex data and the dedicated vertex data on submeshes. The 'target' on the parent track must match the 'target' on the linked pose. </dd></dl>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00198">198</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b4c9428aafb3b9e171a0eed21fb7d9ed"></a><!-- doxytag: member="Ogre::VertexPoseKeyFrame::PoseRef::influence" ref="b4c9428aafb3b9e171a0eed21fb7d9ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VertexPoseKeyFrame_1_1PoseRef.html#b4c9428aafb3b9e171a0eed21fb7d9ed">Ogre::VertexPoseKeyFrame::PoseRef::influence</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Influence level of the linked pose. 
<p>
1.0 for full influence (full offset), 0.0 for no influence. 
<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00202">202</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:14 2008
</p>
</body>
</html>
